import {
    pgTable,
    bigint,
    timestamp,
    text,
} from "drizzle-orm/pg-core"

export const globalmessages = pgTable("globalmessages", {
    id: bigint("id", { mode: "number" })
        .primaryKey()
        .generatedByDefaultAsIdentity(),

    createdAt: timestamp("created_at", { withTimezone: true })
        .notNull()
        .defaultNow(),

    title: text("title"),
    description: text("description"),
})

export type GlobalMessage = typeof globalmessages.$inferSelect
export type NewGlobalMessage = typeof globalmessages.$inferInsert
